%define name	youri-check
%define version 0.10.2
%define release %mkrel 4

%define _provides_exceptions perl(Youri::Check::.*)
%define _requires_exceptions perl(Youri::\\(Check::.*\\|BTS::Bugzilla\\))

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Youri check tool
License:	GPL or Artistic
Group:		Development/Other
Source:		http://youri.zarb.org/download/%{name}-%{version}.tar.bz2
Patch0:		youri-check-0.10.2-fix-fedora-git-url.patch
Url:		http://youri.zarb.org
BuildRequires:	perl-Youri-Utils
# avoid mandriva fork
Requires:	perl-Youri-Config
Requires:	perl-Youri-Package
Requires:	perl-Youri-Utils
BuildArch:	noarch

%description
youri-check is a generic package checking tools. It runs a list of tests on a
list of package sets, and produces corresponding reports.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%check
%__make check

%install
%makeinstall_std
cat > README.urpmi<<EOF
Mageia RPM specific notes

post-installation
-----------------
You need to setup a database, and install related DBI drivers. There is no
schema to create, the application will do it automatically.

You also need to adapt the configuration file to suite your needs, the one
provided is only intended as an example. More details on YAML syntax can be
found in YAML::AppConfig man page.
EOF

%files 
%doc ChangeLog README README.urpmi
%config(noreplace) %{_sysconfdir}/youri
%{_bindir}/youri-check
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_datadir}/youri
%{_sysconfdir}/bash_completion.d/%{name}


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.10.2-4.mga4
+ Revision: 520874
- Mageia 4 Mass Rebuild

  + dams <dams>
    - s/Mandriva/Mageia
    - clean specfile

* Mon Jan 14 2013 umeabot <umeabot> 0.10.2-3.mga3
+ Revision: 387595
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 tmb <tmb> 0.10.2-2.mga3
+ Revision: 330532
- fix fedora update git url (P0)

* Tue Nov 27 2012 pterjan <pterjan> 0.10.2-1.mga3
+ Revision: 322473
- 0.10.2

* Wed Apr 13 2011 pterjan <pterjan> 0.10.1-1.mga1
+ Revision: 84107
- imported package youri-check


* Wed Jul 21 2010 Thierry Vignaud <tv@mandriva.org> 0.10-6mdv2011.0
+ Revision: 556500
- rebuild for new perl

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.10-5mdv2010.0
+ Revision: 446311
- rebuild

* Sun Jan 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-4mdv2009.1
+ Revision: 324644
- use explicit dependencies, to avoid mandriva fork package
- filter some useless automatic dependencies
- add README.urpmi with a few post-installation details

* Tue Aug 05 2008 Thierry Vignaud <tv@mandriva.org> 0.10-3mdv2009.0
+ Revision: 263762
- fix testsuite buildrequires
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Apr 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2008.0
+ Revision: 17081
- Import youri-check



* Sun Apr 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2008.0
- first mdv release
